Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

API/Repository/Values/Content/Query/Criterion/MatchAll.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\API\Repository\Values\Content\Query\Criterion;
8
9 use eZ\Publish\API\Repository\Values\Content\Query\Criterion;
10
14 class MatchAll extends Criterion
15 {
19 public function __construct()
20 {
21 // Do NOT call parent constructor. It tries to be too smart.
22 }
23
24 public function getSpecifications()
25 {
26 return [];
27 }
28
32 public static function createFromQueryBuilder($target, $operator, $value)
33 {
34 @trigger_error('The ' . __METHOD__ . ' method is deprecated since version 7.2 and will be removed in 8.0.', E_USER_DEPRECATED);
35
36 return new self();
37 }
38 }
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MatchAll
A criterion that just matches everything.
Definition: API/Repository/Values/Content/Query/Criterion/MatchAll.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MatchAll\getSpecifications
getSpecifications()
Criterion description function.
Definition: API/Repository/Values/Content/Query/Criterion/MatchAll.php:24
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MatchAll\createFromQueryBuilder
static createFromQueryBuilder($target, $operator, $value)
Definition: API/Repository/Values/Content/Query/Criterion/MatchAll.php:32
eZ\Publish\API\Repository\Values\Content\Query\Criterion\MatchAll\__construct
__construct()
Creates a new MatchAll criterion.
Definition: API/Repository/Values/Content/Query/Criterion/MatchAll.php:19
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion.php:15
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$target
$target
Definition: API/Repository/Values/Content/Query/Criterion.php:35
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$operator
$operator
Definition: API/Repository/Values/Content/Query/Criterion.php:21
eZ\Publish\API\Repository\Values\Content\Query\Criterion\$value
$value
Definition: API/Repository/Values/Content/Query/Criterion.php:28
eZ\Publish\API\Repository\Values\Content\Query\Criterion
Definition: API/Repository/Values/Content/Query/Criterion/Ancestor.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.